#ifndef LSM303_h
#define LSM303_h


// device types

#define LSM303DLH_DEVICE   0
#define LSM303DLM_DEVICE   1
#define LSM303DLHC_DEVICE  2
#define LSM303_DEVICE_AUTO 3

// SA0_A states

#define LSM303_SA0_A_LOW  0
#define LSM303_SA0_A_HIGH 1
#define LSM303_SA0_A_AUTO 2

// register addresses
#define LSM303_CTRL_REG0_A 		 0x1F
#define LSM303_CTRL_REG1_A       0x20
#define LSM303_CTRL_REG2_A       0x21
#define LSM303_CTRL_REG3_A       0x22
#define LSM303_CTRL_REG4_A       0x23
#define LSM303_CTRL_REG5_A       0x24
#define LSM303_CTRL_REG6_A       0x25 // DLHC only
#define LSM303_CTRL_REG7_A       0x26

#define LSM303_OUT_X_L_A         0x28
#define LSM303_OUT_X_H_A         0x29
#define LSM303_OUT_Y_L_A         0x2A
#define LSM303_OUT_Y_H_A         0x2B
#define LSM303_OUT_Z_L_A         0x2C
#define LSM303_OUT_Z_H_A         0x2D

#define LSM303_CRA_REG_M         0x00
#define LSM303_CRB_REG_M         0x01
#define LSM303_MR_REG_M          0x02

#define LSM303_OUT_X_H_M         0x08
#define LSM303_OUT_X_L_M         0x09
#define LSM303_OUT_Y_H_M         0x0A   // The addresses of the Y and Z magnetometer output registers
#define LSM303_OUT_Y_L_M         0x0B   // are reversed on the DLM and DLHC relative to the DLH.
#define LSM303_OUT_Z_H_M         0x0C   // These four defines have dummy values so the library can
#define LSM303_OUT_Z_L_M         0x0D   // determine the correct address based on the device type.





#endif



